%define	name	cd-discid
%define	version	0.7
%define	release	1mdk

Summary:	Code to get discid for a cddb query.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://frantica.lly.org/~rcw/%{name}/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
cd-discid is a backend utility to get CDDB discid information
from a CD-ROM disc. It was originally designed for cdgrab
(now abcde), but can be used for any purpose requiring CDDB
data.

%prep
rm -rf %{buildroot}

%setup -q

%build
gcc %{optflags} -o %{name} %{name}.c

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Nov  4 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- initial cooker contrib
- repacked the tarball

